%define url_ver	%(echo %{version} | cut -d. -f1,2)

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/%{name}/plugins/.*\\.so

Name:		xfdashboard
Version:	1.0.0
Release:	%mkrel 1
Summary:	GNOME shell like dashboard for Xfce
Group:		Graphical desktop/XFCE
License:	GPLv2+
URL:		https://docs.xfce.org/apps/xfdashboard/start
Source0:	https://archive.xfce.org/src/apps/xfdashboard/%{url_ver}/xfdashboard-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xdamage)


%description
Xfdashboard provides a GNOME shell dashboard like interface for use with Xfce
desktop. It can be configured to run to any keyboard shortcut and when executed
provides an overview of applications currently open enabling the user to switch
between different applications. The search feature works like Xfce's app finder
which makes it convenient to search for and start applications.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q
%apply_patches

%build
# to fix RPATH
%xdt_autogen

%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete


%files
%{_bindir}
%{_datadir}
%{_sysconfdir}

#plugins
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
%{_libdir}/%{name}/plugins/autopin-windows.so
%{_libdir}/%{name}/plugins/clock-view.so
%{_libdir}/%{name}/plugins/gnome-shell-search-provider.so
%{_libdir}/%{name}/plugins/hot-corner.so
%{_libdir}/%{name}/plugins/middle-click-window-close.so
%{_libdir}/%{name}/plugins/recently-used-search-provider.so

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc


%changelog
* Wed Aug 24 2022 tex - 1.0.0-1pclos2022
- new version

* Mon Jul 18 2022 tex - 0.9.91-1pclos2022
- new version 0.9.91
